CVE-2005-4831
CVSS4.3
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:57:57
NMCO    

[原文]viewcvs in ViewCVS 0.9.2 allows remote attackers to set the Content-Type header to arbitrary values via the content-type parameter, which can be leveraged for cross-site scripting (XSS) and other attacks, as demonstrated using (1) "text/html", or (2) "image/jpeg" with an image that is rendered as HTML by Internet Explorer, a different vulnerability than CVE-2004-1062. NOTE: it was later reported that 0.9.4 is also affected.


[CNNVD]ViewCVS Source View输入验证漏洞(CNNVD-200512-784)

        ViewCVS 0.9.2中的viewcvs让远程攻击者可以通过content-type参数将Content-Type标题设置为任意值,从而被跨站脚本攻击和其他攻击所利用。如对图片使用(1)"text/html"或(2)"image/jpeg",此图片由Internet Explorer以HTML表示。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4831
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4831
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-784
(官方数据源) CNNVD

- 其它链接及资源

http://www.securitytracker.com/id?1017704
(UNKNOWN)  SECTRACK  1017704
http://www.securityfocus.com/bid/12112
(UNKNOWN)  BID  12112
http://www.securityfocus.com/archive/1/archive/1/461382/100/0/threaded
(UNKNOWN)  BUGTRAQ  20070226 ViewCVS 0.9.4 issues
http://lists.grok.org.uk/pipermail/full-disclosure/2005-January/030514.html
(UNKNOWN)  FULLDISC  20050101 Two Vulnerabilities in ViewCVS

- 漏洞信息

ViewCVS Source View输入验证漏洞
中危 跨站脚本
2005-12-31 00:00:00 2007-08-06 00:00:00
远程  
        ViewCVS 0.9.2中的viewcvs让远程攻击者可以通过content-type参数将Content-Type标题设置为任意值,从而被跨站脚本攻击和其他攻击所利用。如对图片使用(1)"text/html"或(2)"image/jpeg",此图片由Internet Explorer以HTML表示。

- 公告与补丁

        

- 漏洞信息

34725
ViewCVS content-type Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2005-01-01 Unknow
2005-01-01 Unknow

- 解决方案

Upgrade to version 1.0.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站